=== debian/changelog ===
nifti2dicom (0.4.9-1~nd80+1+nd90+1) stretch; urgency=low

  * Backported for stretch.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 28 Jun 2015 11:32:29 -0400

nifti2dicom (0.4.9-1~nd80+1) jessie; urgency=low

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 24 Oct 2014 14:36:29 -0400

nifti2dicom (0.4.9-1) unstable; urgency=medium

  * New upstream release. (Closes: #764833)
  * Change Qt b-d to qtbase5-dev | libqt4-dev (>= 4.4).
  * Bump Standards-Version to 3.9.6; no changes needed.
  * Fix lintian warnings in debian/copyright file.

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Fri, 24 Oct 2014 11:32:06 +0200
