=== data/CMakeLists.txt ===
if(UNIX AND NOT APPLE)
    install(FILES qnifti2dicom.desktop DESTINATION share/applications)
    install(FILES qnifti2dicom.appdata.xml DESTINATION share/appdata)
    add_subdirectory(icons)
endif()
