=== packaging/CMakeLists.txt ===
set(CPACK_PACKAGE_NAME "Nifti2Dicom")
set(CPACK_PACKAGE_VENDOR "BIOLAB, University of Genoa, Italy")

set(CPACK_PACKAGE_VERSION_MAJOR "${Nifti2Dicom_MAJOR_VERSION}")
set(CPACK_PACKAGE_VERSION_MINOR "${Nifti2Dicom_MINOR_VERSION}")
set(CPACK_PACKAGE_VERSION_PATCH "${Nifti2Dicom_PATCH_VERSION}")
set(CPACK_PACKAGE_VERSION "${Nifti2Dicom_VERSION}")

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Nifti2Dicom - Convert 3D medical images to DICOM 2D series")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "Nifti2Dicom")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING.txt")
set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/data/icons/qnifti2dicom.ico")
set(CPACK_MONOLITHIC_INSTALL 1)
set(CPACK_PACKAGE_EXECUTABLES qnifti2dicom Nifti2Dicom)
set(CPACK_CREATE_DESKTOP_LINKS qnifti2dicom)

if(WIN32)
    set(CPACK_GENERATOR ZIP WIX)

    # WIX settings
    set(CPACK_WIX_UPGRADE_GUID B2814FD1-CB61-4EF2-B1D5-406B73865627)
    set(CPACK_WIX_CULTURES en-US it-IT)
    set(CPACK_WIX_PRODUCT_ICON "${CPACK_PACKAGE_ICON}")
    set(CPACK_WIX_PROPERTY_ARPCOMMENTS "${CPACK_PACKAGE_DESCRIPTION_SUMMARY}")
    set(CPACK_WIX_PROPERTY_ARPURLINFOABOUT "http://github.com/biolab-unige/nifti2dicom/")
    set(CPACK_WIX_PROPERTY_ARPHELPLINK "http://github.com/biolab-unige/nifti2dicom/issues/")
    set(CPACK_WIX_PROPERTY_URLUPDATEINFO "http://github.com/biolab-unige/nifti2dicom/releases/")
elseif(APPLE)
    set(CPACK_GENERATOR DragNDrop)
endif()

include(CPack)
