=== data/icons/CMakeLists.txt ===
if(UNIX AND NOT APPLE)
    install(FILES hi512-apps-qnifti2dicom.png DESTINATION share/icons/hicolor/512x512/apps/ RENAME qnifti2dicom.png)
    install(FILES hi256-apps-qnifti2dicom.png DESTINATION share/icons/hicolor/256x256/apps/ RENAME qnifti2dicom.png)
    install(FILES hi128-apps-qnifti2dicom.png DESTINATION share/icons/hicolor/128x128/apps/ RENAME qnifti2dicom.png)
    install(FILES hi64-apps-qnifti2dicom.png DESTINATION share/icons/hicolor/64x64/apps/ RENAME qnifti2dicom.png)
    install(FILES hi32-apps-qnifti2dicom.png DESTINATION share/icons/hicolor/32x32/apps/ RENAME qnifti2dicom.png)
    install(FILES hi16-apps-qnifti2dicom.png DESTINATION share/icons/hicolor/16x16/apps/ RENAME qnifti2dicom.png)
    install(FILES lo32-apps-qnifti2dicom.png DESTINATION share/icons/locolor/32x32/apps/ RENAME qnifti2dicom.png)
    install(FILES lo16-apps-qnifti2dicom.png DESTINATION share/icons/locolor/16x16/apps/ RENAME qnifti2dicom.png)
    install(FILES mono32-apps-qnifti2dicom.png DESTINATION share/icons/mono/32x32/apps/ RENAME qnifti2dicom.png)
    install(FILES mono16-apps-qnifti2dicom.png DESTINATION share/icons/mono/16x16/apps/ RENAME qnifti2dicom.png)
endif(UNIX AND NOT APPLE)
