=== debian/changelog ===
nifti2dicom (0.4.11-1ubuntu8) artful; urgency=medium

  * Rebuild against gdcm2.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Aug 2017 11:38:37 +0200

nifti2dicom (0.4.11-1ubuntu7) yakkety; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 08 Aug 2016 13:09:27 +0300

nifti2dicom (0.4.11-1ubuntu6) yakkety; urgency=medium

  * Rebuild against insighttookit4.10.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jul 2016 12:56:09 +0200

nifti2dicom (0.4.11-1ubuntu5) yakkety; urgency=medium

  * Drop insighttookit3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Jun 2016 16:14:10 +0200

nifti2dicom (0.4.11-1ubuntu4) yakkety; urgency=medium

  * Rebuild against libvtk6.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 May 2016 10:33:42 +0200

nifti2dicom (0.4.11-1ubuntu3) xenial; urgency=medium

  * Fix powerpc dependency.
  * Add libproj-dev b-d, fixing build failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Apr 2016 20:23:46 +0200

nifti2dicom (0.4.11-1ubuntu2) xenial; urgency=medium

  * Build against insightoolkit on powerpc.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Apr 2016 13:21:02 +0200

nifti2dicom (0.4.11-1ubuntu1) xenial; urgency=medium

  * Build against insighttoolkit4 everywhere.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Mar 2016 09:45:15 +0100

nifti2dicom (0.4.11-1) unstable; urgency=medium

  * New upstream release.
  * Add nifti2dicom-dbg package.
  * Use github instead of githubredir in watch file.
  * Fix dep5-copyright-license-name-not-unique lintian warning.
  * Change VTK b-d to libvtk6-qt-dev | libvtk6-dev (<< 6.2) |
    libvtk5-qt4-dev (Closes: #793607)
  * Add appstream files to nifti2dicom-data.
  * Update email address.
  * Refresh and fix NeuroDebian backport patches.
  * Fix vcs-field-uses-insecure-uri vcs-browser lintian warnings.
  * Bump Standards-Version to 3.9.7" -m "No changes needed.
  * Update copyright file.

 -- Daniele E. Domenichelli <ddomenichelli@drdanz.it>  Wed, 02 Mar 2016 17:28:34 +0100
