=== debian/watch ===
version=3
https://github.com/biolab-unige/nifti2dicom/releases .*/v(\d[\d\.]*)\.(?:tar.gz|tar.bz2|tar.xz)
